import { PipelineTask } from './../pipeline-task.entity';

export class PipelineTaskLogMessage {
  task: PipelineTask;
  time: Date;
  message: string;

  static create(task: PipelineTask, message: string) {
    return Object.assign(new PipelineTaskLogMessage(), {
      task,
      message,
      time: new Date(),
    });
  }
}
