import { Field, InputType, ObjectType } from '@nestjs/graphql';
import {
  PipelineUnits,
  PipelineUnits as PipelineUnitTypes,
} from '../enums/pipeline-units.enum';

@ObjectType()
@InputType('WorkUnitInput')
export class WorkUnit {
  @Field(() => PipelineUnits)
  type: PipelineUnitTypes;
  scripts: string[];
}
